TimelineEvents (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records.timeline, class: TimelineEvents

Package org.apache.hadoop.yarn.api.records.timeline

# Class TimelineEvents

java.lang.Object
org.apache.hadoop.yarn.api.records.timeline.TimelineEvents

@Public @Evolving public class TimelineEvents extends Object
The class that hosts a list of events, which are categorized according to their related entities.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `TimelineEvents.EventsOfOneEntity`
  The class that hosts a list of events that are only related to one entity.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimelineEvents()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addEvent(TimelineEvents.EventsOfOneEntity eventsOfOneEntity)`
  Add a single `TimelineEvents.EventsOfOneEntity` instance into the existing list
  `void`
  `addEvents(List<TimelineEvents.EventsOfOneEntity> allEvents)`
  Add a list of `TimelineEvents.EventsOfOneEntity` instances into the existing list
  `List<TimelineEvents.EventsOfOneEntity>`
  `getAllEvents()`
  Get a list of `TimelineEvents.EventsOfOneEntity` instances
  `void`
  `setEvents(List<TimelineEvents.EventsOfOneEntity> allEvents)`
  Set the list to the given list of `TimelineEvents.EventsOfOneEntity` instances

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TimelineEvents

    public TimelineEvents()

- ## Method Details

  - ### getAllEvents

    public List<TimelineEvents.EventsOfOneEntity> getAllEvents()
    Get a list of `TimelineEvents.EventsOfOneEntity` instances
    Returns:
      a list of `TimelineEvents.EventsOfOneEntity` instances

  - ### addEvent

    public void addEvent(TimelineEvents.EventsOfOneEntity eventsOfOneEntity)
    Add a single `TimelineEvents.EventsOfOneEntity` instance into the existing list
    Parameters:
      `eventsOfOneEntity` - a single `TimelineEvents.EventsOfOneEntity` instance

  - ### addEvents

    public void addEvents(List<TimelineEvents.EventsOfOneEntity> allEvents)
    Add a list of `TimelineEvents.EventsOfOneEntity` instances into the existing list
    Parameters:
      `allEvents` - a list of `TimelineEvents.EventsOfOneEntity` instances

  - ### setEvents

    public void setEvents(List<TimelineEvents.EventsOfOneEntity> allEvents)
    Set the list to the given list of `TimelineEvents.EventsOfOneEntity` instances
    Parameters:
      `allEvents` - a list of `TimelineEvents.EventsOfOneEntity` instances